Skip to main content
GET
/
bills
/
otr
List on-the-run bills
curl --request GET \
  --url https://api.engine.usesophic.com/bills/otr \
  --header 'Authorization: Bearer <token>'
{
  "3m": {
    "id": "instrument_abc123",
    "name": "EU 3M T-Bill 2024-01-04",
    "symbol": "EU0000000001",
    "instrument_type": "bill",
    "isin": "EU0000000001",
    "issuer": "EU",
    "issuer_country": "EU",
    "trading_currency": "EUR",
    "maturity_date": "2024-01-04",
    "days_to_maturity": 92
  },
  "12m": {
    "id": "instrument_def456",
    "name": "EU 12M T-Bill 2024-10-04",
    "symbol": "EU0000000011",
    "instrument_type": "bill",
    "isin": "EU0000000011",
    "issuer": "EU",
    "issuer_country": "EU",
    "trading_currency": "EUR",
    "maturity_date": "2024-10-04",
    "days_to_maturity": 366
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

issuer_country
string
required

Response

Successful Response

{key}
Bill · object